/*
 *	app.h
 *
 *	ANAbVǂ
 *
 *	* Wed May  3 03:37:00 JST 2006 Naoyuki Sawa
 *	- 쐬JnB
 */
#ifndef __APP_H__
#define __APP_H__

#include <clip.h>

/****************************************************************************
 *	
 ****************************************************************************/

/* NbNEEFCgύXꍇ́ATURBOV{`ĂB
 * `ĺAturbo()֐ɂ̂܂܈n܂B
 */
#define TURBO -1 /*{{TODO}}*/

/* K[x[WRN^[gꍇ́AUSE_GCV{`Ă */
//#define USE_GC /*{{TODO}}*/

/* ؑցE16K\gꍇ́A
 * ELDIRECT_INTERVALɍXV^C~O[~b]`ĂB
 *   XV^C~O̖ڈ́A悻̒ʂłB
 *	11ȉ	Ԃɍ킸nOAbv̊댯B
 *	12	iEׁB48MHz/1WAITȊOł͏Ԃɍ킸nOAbv̊댯B
 *	25	iEׁB48MHz/1WAIT́A̒lK؂łB
 *	33	iEᕉׁB24MHz/2WAIT́A̒lK؂łB
 *	34ȏ	ؑւxāA_łĂ܂܂B
 * EؑցE16K\gȂꍇ́ALDIRECT_INTERVAL`ȂłB
 *   ʏ4K\ƂȂ܂B
 */
#define LDIRECT_INTERVAL 33 /*{{TODO}}*/

/* cʃ[hgꍇ́AV_SCREENV{`Ă */
#define V_SCREEN /*{{TODO}}*/
#ifdef V_SCREEN
#undef DISP_X
#undef DISP_Y
#define DISP_X	 88
#define DISP_Y	128
#endif /*V_SCREEN*/

/* yCugꍇ́AUSE_MUSICV{`Ă */
//#define USE_MUSIC /*{{TODO}}*/
#ifdef USE_MUSIC
#define music_play(data) do { music_stop(); PlayMusic((unsigned char*)(data)); } while(0)
#define music_stop() do { StopMusic(); sound_stop(music_wch); } while(0)
#else /*USE_MUSIC*/
#define music_play(data) ((void)0)
#define music_stop() ((void)0)
#endif /*USE_MUSIC*/

/* eNX`Xgꍇ́AUSE_TEXTUREV{`ĂB */
#define USE_TEXTURE /*{{TODO}}*/
#ifdef USE_TEXTURE
#define TEXTURE_(name) TEX_##name,
enum {
#include "texture.h"
	TEXTURE_COUNT,
};
extern TEXTURE texture_table[TEXTURE_COUNT];
#undef TEXTURE_
#endif /*USE_TEXTURE*/

/* ȈՃXvCghCogꍇ́AUSE_SPRITEV{`Ă */
#define USE_SPRITE /*{{TODO}}*/
#ifdef USE_SPRITE
#define SPRITE_ SPRITE_INIT1
enum {
#include "sprite.h"
	SPRITE_COUNT
};
extern const SPRITE sprite_table[SPRITE_COUNT];
#undef SPRITE_
#endif /*USE_SPRITE*/

/* 3D`gꍇ́A
 * EUSE_3DV{`ĂB
 * EFRONTɓK؂ȑOʃNbsO(_`eʋ)w肵ĂB
 * EBACK ɓK؂ȔwʃNbsO(_`E)w肵ĂB
 * EFOVY ɓK؂Ȑpxw肵ĂB
 */
//#define USE_3D /*{{TODO}}*/
#ifdef USE_3D
#define FRONT	fld(1)
#define BACK	fld(100)
#define FOVY	DEG(90)
#endif /*USE_3D*/

/* I[gs[ggpꍇ́A
 * EQUICK_REPEAT_PADS`ĂB
 * EQUICK_REPEAT_PADSɍI[gs[gLɂPAD_*̑gݍ킹w肵ĂB
 * EQUICK_REPEAT_DELAYɍI[gs[gJn܂ł̎Ԃw肵ĂB
 * I[gs[ggpȂꍇ́A
 * EQUICK_REPEAT_PADS`ȂłB
 * EQUICK_REPEAT_PADS/DELAY̒`̗LɊւ炸AI[gs[g͍s܂B
 */
#define QUICK_REPEAT /*{{TODO}}*/
#define QUICK_REPEAT_PADS	(PAD_LF | PAD_UP | PAD_RI | PAD_DN)
#define QUICK_REPEAT_DELAY	SEC(0.25)

/* |[Y@\gꍇ́AUSE_PAUSEV{`ĂB
 * ܂AAvP[V̒ʏwiFɂ킹āAPAUSE_COLORIĂB
 */
#define USE_PAUSE /*{{TODO}}*/
#ifdef USE_PAUSE
#define PAUSE_FONT	0x80		/* PAUSEtHg         */
#ifndef LDIRECT_INTERVAL
//#define PAUSE_COLOR	0x130		/* PAUSEJ[(wip) */
#define PAUSE_COLOR	0x203		/* PAUSEJ[(wip) */
#else /*LDIRECT_INTERVAL*/
//#define PAUSE_COLOR	0x5f0		/* PAUSEJ[(16KEwip) */
#define PAUSE_COLOR	0xa0f		/* PAUSEJ[(16KEwip) */
#endif /*LDIRECT_INTERVAL*/
#define PAUSE_STR	"PAUSE"		/* PAUSEbZ[W       */
#define PAUSE_W		(5 * 5 + 2)	/* PAUSEbZ[W̉ */
#define PAUSE_H		(10    + 2)	/* PAUSEbZ[W̏c */
#define PAUSE_X		((DISP_X - PAUSE_W) / 2) /* \ʒu */
#define PAUSE_Y		((DISP_Y - PAUSE_H) / 2) /* \ʒu */
#endif /*USE_PAUSE*/

/* USBt@CVXeG~[Vgꍇ́AUSE_UFEV{`ĂB */
//#define USE_UFE

/* USBt@CVXeG~[Vƃg[Xo͕͂pł܂B */
#if defined(USE_UFE) && defined(TRACE_ON) && (TRACE_ON)
#error USBt@CVXeG~[Vƃg[Xo͕͂pł܂B
#endif /*defined(USE_UFE) && defined(TRACE_ON) && (TRACE_ON)*/

/* TCP/IPvgRXC[ggꍇ́AUSE_TCPIPV{`ĂB */
//#define USE_TCPIP

/* TCP/IPvgRXC[gƃg[Xo͕͂pł܂B */
#if defined(USE_TCPIP) && defined(TRACE_ON) && (TRACE_ON)
#error TCP/IPvgRXC[gƃg[Xo͕͂pł܂B
#endif /*defined(USE_TCPIP) && defined(TRACE_ON) && (TRACE_ON)*/

#ifdef USE_TCPIP
#include "tcpip.h"
#endif /*USE_TCPIP*/

/****************************************************************************
 *	
 ****************************************************************************/

#define FPS	20			/* t[[g */
#define SEC(s)	((int)(FPS * (s)))	/* b->t[ϊ */

/****************************************************************************
 *	
 ****************************************************************************/

#define FIELD_COLS	               9		/* tB[h */
#define FIELD_ROWS	              40		/* tB[hs (ʊO+ʓ) */
#define OUTER_ROWS	(FIELD_ROWS - 25)		/* tB[hs (ʊO) */
#define DLINE_ROWS	(FIELD_ROWS -  2)		/* tB[hs (fbhC܂) */
#define BFILL_ROWS	(DLINE_ROWS - 12)		/* tB[hs (ubN[Us) */
#define BWARN_ROWS	(DLINE_ROWS -  5)		/* tB[hs (xJns) */

#define BLOCK_COLS	3				/* ubN */
#define BLOCK_ROWS	(FIELD_ROWS - OUTER_ROWS)	/* ubNs */

/****************************************************************************
 *	
 ****************************************************************************/

enum {
	EFFECT_RING	= 0,	/* OGtFNgC */
	EFFECT_SMOKE	= 1,	/* GtFNgC */
	EFFECT_NUM	= 2,	/* GtFNgC */
};

#define CELL_SIZE	5				/* ZTCY (A) */
#define CELL_HALF	((CELL_SIZE + 1) / 2)		/* ̔ */

#define FIELD_X		 21				/* tB[h_ */
#define FIELD_Y		(-1 - CELL_SIZE * OUTER_ROWS)

/* SPR_BLOCKx0ɑ΂אډZl */
#define JOIN_RI		(1 << 0)			/* EɗאڃubNL */
#define JOIN_LF		(1 << 1)			/* ɗאڃubNL */
#define JOIN_DN		(1 << 2)			/* ɗאڃubNL */
#define JOIN_UP		(1 << 3)			/* ɗאڃubNL */

#define BLOCK_SPD	fld(0.5)			/* ubN㏸x TODO:Xe[WɑȂ܂ */
#define LAND_DELAY	SEC(0.5)			/* ubNڒ */

#define RAISE_DELAY	SEC(0.10)			/* ubNŁJnx */
#define HIDE_DELAY	SEC(0.30)			/* ubNŁ\x */
#define ERASE_DELAY	SEC(0.50)			/* ubNŁNAx */

#define BFILL_INTERVAL	SEC(0.05)			/* ubN[U~C^[o */
#define BDOWN_INTERVAL	SEC(3.0) /**/		/* xubN~C^[o */
#define BWARN_INTERVAL	SEC(5.0) /**/		/* xubN~C^[o */

/****************************************************************************
 *	
 ****************************************************************************/

/* CELL.type */
//				0	/*  */
#define CELL_TYPE_STAGE		1	/* Xe[WrɍŏzuĂubN */
#define CELL_TYPE_BLOCK		2	/* vC[łoẢubN */

/* CELL.stat */
//				0	/* ʏ */
#define CELL_STAT_ERASE		1	/*  */
#define CELL_STAT_RAISE		2	/*  */

typedef struct _CELL {
	unsigned char type;	/*  (CELL_TYPE_*) */
	unsigned char stat;	/*  (CELL_STAT_*) */
} CELL;

/****************************************************************************
 *	jЃGtFNg
 ****************************************************************************/

#define DEBRIS_R_INIT_MIN	fild(3)		/* a̍ŏl */
#define DEBRIS_R_INIT_MAX	fild(1)		/* a̍ő叉l */
#define DEBRIS_R_RATE		fld(0.975)	/* ǎ */
#define DEBRIS_SPD_MIN		fld(0.5)	/* x̍ŏl */
#define DEBRIS_SPD_MAX		fld(3.0)	/* x̍ől */

typedef struct _DEBRIS {
	fixed r;		/* a  (0 = 󂫁BŒ藦Ō) */
	fixed x;		/* XW (vxÂω) */
	fixed y;		/* YW (vyÂω) */
	fixed vx;		/* Xx (ɐݒAȌŒ) */
	fixed vy;		/* Yx (ɐݒAȌŒ) */
} DEBRIS;

#define DEBRIS_NUM	64

/****************************************************************************
 *	OGtFNg
 ****************************************************************************/

#define RING_A_INIT	fld(5.0)	/* ax̏l */
#define RING_A_DECL	fld(0.2)	/* ax̌ */
#define RING_DIV	16		/* |S */

typedef struct _RING {
	fixed a;		/* ax (0 = 󂫁BŒ蕝Ō) */
	fixed r;		/* a       (l0AaÂ) */
	fixed d;		/* X       (ɐݒAȌŒ) */
	fixed y;		/* YW      (ɐݒAȌŒ) */
} RING;

#define RING_NUM	16

/****************************************************************************
 *	tOGtFNg
 ****************************************************************************/

#define RRING_R_OUTER	fld(55)		/* Oa̍ől */
#define RRING_R_INNER	fld(33)		/* a̍ől */
#define RRING_TIME	SEC(2)		/* p */

/* \̂͂܂B
 * GAME.rring_cntRRING_TIME0ɕω邱ƂŐis܂B
 */

/****************************************************************************
 *	GtFNg
 ****************************************************************************/

#define SMOKE_DIST_MAX		fld(10.0)	/* ŃZ牌ʒu܂ł̍ő勗 */
#define SMOKE_R_INIT_MIN	fld( 5.0)	/* a̍ŏl */
#define SMOKE_R_INIT_MAX	fld( 7.5)	/* a̍ő叉l */
#define SMOKE_R_RATE		fld(0.85)	/* ǎ */
#define SMOKE_CNT_MAX		SEC(0.45)	/* gtF[Y */

typedef struct _SMOKE {
	fixed r;		/* a  (0 = 󂫁BŒ藦Ō) */
	fixed x;		/* XW (ɐݒAȌŒ) */
	fixed y;		/* YW (ɐݒAȌŒ) */
	int cnt;		/* gtF[YisJE^ */
} SMOKE;

#define SMOKE_NUM	64

/****************************************************************************
 *	
 ****************************************************************************/

typedef struct _GAME {
	int score;					/* XRA */
	int stage;					/* Xe[W */

	int chain;					/* A */
	int chain_num;					/* A\ */
	int chain_row;					/* A\s */
	int chain_cnt;					/* A\JE^ */

	int erase_cnt;					/* ŐisJE^ */
	int rring_cnt;					/* tOpJE^ */
	DEBRIS debris[DEBRIS_NUM];			/* jЃGtFNg */
	RING ring[RING_NUM];				/* OGtFNg */
	SMOKE smoke[SMOKE_NUM];				/* GtFNg */

	int block_col;					/* ̃Z̗ */
	int block_row;					/* ̃Z̍s */
	fixed block_pos;				/* ItZbg (CELL_SIZE0) */
	int block_land;					/* ڒJE^ */
	unsigned char block[BLOCK_ROWS][BLOCK_COLS];	/* ubN              */
							/* 0              =      */
							/* 1`CELL_SIZE-1 = Lђ   */
							/*    CELL_SIZE   = Lъ */

	int goal;					/* S[tO */
	int goal_row;					/* S[s (}CiXJn) */

	int down_cnt;					/* tB[h~ԃJE^ */
	CELL field[FIELD_ROWS][FIELD_COLS];		/* tB[h */
} GAME;

/****************************************************************************
 *	
 ****************************************************************************/

/* main.c */
void app_init();
void app_exit();
void schedule();
void delay(int frame);
int demo_main();
void game_main();
void game_clear();
void game_over();
void field_gen();
int field_test();
int field_action(int f_down/*0=~s,1=~*/);
void field_disp(int f_block/*0=ubN\,1=L*/);
void block_disp();
void block_init();
int block_action(int f_glow/*0=Lѕs,1=Lщ*/, int f_up/*0=㏸s,1=㏸*/);
int block_realize(int f_realize/*0=eXg,1=̉*/);
int erase_init();
int erase_action();
void chain_gen(int min_row, int max_row, int chain);
void debris_gen(int min_row, int max_row, int num);
void debris_disp();
void ring_gen(int min_row, int max_row, fixed d);
void ring_disp();
void rring_disp();
void smoke_gen(int col, int row, fixed dist);
void smoke_disp();

/* fram.c */
void effect_disp();

/****************************************************************************
 *	
 ****************************************************************************/

#include "work.h"

#endif /*__APP_H__*/
