/*SPRITE_(name,texno,x,y,w,h,cx,cy,param)*/

/****************************************************************************
 *	PAT
 ****************************************************************************/

#define COL(n)	((n)*6)
#define ROW(n)	((n)*6)

/* zuubN */
SPRITE_(SPR_BLOCKS00,TEX_PAT,COL( 0),ROW( 0),COL(1),ROW(1),0,0,0)	/* א = |||| */
SPRITE_(SPR_BLOCKS01,TEX_PAT,COL( 1),ROW( 0),COL(1),ROW(1),0,0,0)	/* א = E||| */
SPRITE_(SPR_BLOCKS02,TEX_PAT,COL( 2),ROW( 0),COL(1),ROW(1),0,0,0)	/* א = ||| */
SPRITE_(SPR_BLOCKS03,TEX_PAT,COL( 3),ROW( 0),COL(1),ROW(1),0,0,0)	/* א = E|| */
SPRITE_(SPR_BLOCKS04,TEX_PAT,COL( 4),ROW( 0),COL(1),ROW(1),0,0,0)	/* א = ||| */
SPRITE_(SPR_BLOCKS05,TEX_PAT,COL( 5),ROW( 0),COL(1),ROW(1),0,0,0)	/* א = E|| */
SPRITE_(SPR_BLOCKS06,TEX_PAT,COL( 6),ROW( 0),COL(1),ROW(1),0,0,0)	/* א = || */
SPRITE_(SPR_BLOCKS07,TEX_PAT,COL( 7),ROW( 0),COL(1),ROW(1),0,0,0)	/* א = E| */
SPRITE_(SPR_BLOCKS08,TEX_PAT,COL( 8),ROW( 0),COL(1),ROW(1),0,0,0)	/* א = ||| */
SPRITE_(SPR_BLOCKS09,TEX_PAT,COL( 9),ROW( 0),COL(1),ROW(1),0,0,0)	/* א = E|| */
SPRITE_(SPR_BLOCKS0A,TEX_PAT,COL(10),ROW( 0),COL(1),ROW(1),0,0,0)	/* א = || */
SPRITE_(SPR_BLOCKS0B,TEX_PAT,COL(11),ROW( 0),COL(1),ROW(1),0,0,0)	/* א = E| */
SPRITE_(SPR_BLOCKS0C,TEX_PAT,COL(12),ROW( 0),COL(1),ROW(1),0,0,0)	/* א = || */
SPRITE_(SPR_BLOCKS0D,TEX_PAT,COL(13),ROW( 0),COL(1),ROW(1),0,0,0)	/* א = E| */
SPRITE_(SPR_BLOCKS0E,TEX_PAT,COL(14),ROW( 0),COL(1),ROW(1),0,0,0)	/* א = | */
SPRITE_(SPR_BLOCKS0F,TEX_PAT,COL(15),ROW( 0),COL(1),ROW(1),0,0,0)	/* א = E */

/* ubN */
SPRITE_(SPR_BLOCKB00,TEX_PAT,COL( 0),ROW( 1),COL(1),ROW(1),0,0,0)	/* א = |||| */
SPRITE_(SPR_BLOCKB01,TEX_PAT,COL( 1),ROW( 1),COL(1),ROW(1),0,0,0)	/* א = E||| */
SPRITE_(SPR_BLOCKB02,TEX_PAT,COL( 2),ROW( 1),COL(1),ROW(1),0,0,0)	/* א = ||| */
SPRITE_(SPR_BLOCKB03,TEX_PAT,COL( 3),ROW( 1),COL(1),ROW(1),0,0,0)	/* א = E|| */
SPRITE_(SPR_BLOCKB04,TEX_PAT,COL( 4),ROW( 1),COL(1),ROW(1),0,0,0)	/* א = ||| */
SPRITE_(SPR_BLOCKB05,TEX_PAT,COL( 5),ROW( 1),COL(1),ROW(1),0,0,0)	/* א = E|| */
SPRITE_(SPR_BLOCKB06,TEX_PAT,COL( 6),ROW( 1),COL(1),ROW(1),0,0,0)	/* א = || */
SPRITE_(SPR_BLOCKB07,TEX_PAT,COL( 7),ROW( 1),COL(1),ROW(1),0,0,0)	/* א = E| */
SPRITE_(SPR_BLOCKB08,TEX_PAT,COL( 8),ROW( 1),COL(1),ROW(1),0,0,0)	/* א = ||| */
SPRITE_(SPR_BLOCKB09,TEX_PAT,COL( 9),ROW( 1),COL(1),ROW(1),0,0,0)	/* א = E|| */
SPRITE_(SPR_BLOCKB0A,TEX_PAT,COL(10),ROW( 1),COL(1),ROW(1),0,0,0)	/* א = || */
SPRITE_(SPR_BLOCKB0B,TEX_PAT,COL(11),ROW( 1),COL(1),ROW(1),0,0,0)	/* א = E| */
SPRITE_(SPR_BLOCKB0C,TEX_PAT,COL(12),ROW( 1),COL(1),ROW(1),0,0,0)	/* א = || */
SPRITE_(SPR_BLOCKB0D,TEX_PAT,COL(13),ROW( 1),COL(1),ROW(1),0,0,0)	/* א = E| */
SPRITE_(SPR_BLOCKB0E,TEX_PAT,COL(14),ROW( 1),COL(1),ROW(1),0,0,0)	/* א = | */
SPRITE_(SPR_BLOCKB0F,TEX_PAT,COL(15),ROW( 1),COL(1),ROW(1),0,0,0)	/* א = E */

/* ubNL (JEg1) */
SPRITE_(SPR_BLOCKX00,TEX_PAT,COL( 0),ROW( 2),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX01,TEX_PAT,COL( 1),ROW( 2),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX02,TEX_PAT,COL( 2),ROW( 2),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX03,TEX_PAT,COL( 3),ROW( 2),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX04,TEX_PAT,COL( 4),ROW( 2),COL(1),ROW(2),0,0,0)	/* א = ||| */
SPRITE_(SPR_BLOCKX05,TEX_PAT,COL( 5),ROW( 2),COL(1),ROW(2),0,0,0)	/* א = E|| */
SPRITE_(SPR_BLOCKX06,TEX_PAT,COL( 6),ROW( 2),COL(1),ROW(2),0,0,0)	/* א = || */
SPRITE_(SPR_BLOCKX07,TEX_PAT,COL( 7),ROW( 2),COL(1),ROW(2),0,0,0)	/* א = E| */
SPRITE_(SPR_BLOCKX08,TEX_PAT,COL( 8),ROW( 2),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX09,TEX_PAT,COL( 9),ROW( 2),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX0A,TEX_PAT,COL(10),ROW( 2),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX0B,TEX_PAT,COL(11),ROW( 2),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX0C,TEX_PAT,COL(12),ROW( 2),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX0D,TEX_PAT,COL(13),ROW( 2),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX0E,TEX_PAT,COL(14),ROW( 2),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX0F,TEX_PAT,COL(15),ROW( 2),COL(1),ROW(2),0,0,0)	/*        gȂ */

/* ubNL (JEg2) */
SPRITE_(SPR_BLOCKX10,TEX_PAT,COL( 0),ROW( 4),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX11,TEX_PAT,COL( 1),ROW( 4),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX12,TEX_PAT,COL( 2),ROW( 4),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX13,TEX_PAT,COL( 3),ROW( 4),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX14,TEX_PAT,COL( 4),ROW( 4),COL(1),ROW(2),0,0,0)	/* א = ||| */
SPRITE_(SPR_BLOCKX15,TEX_PAT,COL( 5),ROW( 4),COL(1),ROW(2),0,0,0)	/* א = E|| */
SPRITE_(SPR_BLOCKX16,TEX_PAT,COL( 6),ROW( 4),COL(1),ROW(2),0,0,0)	/* א = || */
SPRITE_(SPR_BLOCKX17,TEX_PAT,COL( 7),ROW( 4),COL(1),ROW(2),0,0,0)	/* א = E| */
SPRITE_(SPR_BLOCKX18,TEX_PAT,COL( 8),ROW( 4),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX19,TEX_PAT,COL( 9),ROW( 4),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX1A,TEX_PAT,COL(10),ROW( 4),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX1B,TEX_PAT,COL(11),ROW( 4),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX1C,TEX_PAT,COL(12),ROW( 4),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX1D,TEX_PAT,COL(13),ROW( 4),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX1E,TEX_PAT,COL(14),ROW( 4),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX1F,TEX_PAT,COL(15),ROW( 4),COL(1),ROW(2),0,0,0)	/*        gȂ */

/* ubNL (JEg3) */
SPRITE_(SPR_BLOCKX20,TEX_PAT,COL( 0),ROW( 6),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX21,TEX_PAT,COL( 1),ROW( 6),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX22,TEX_PAT,COL( 2),ROW( 6),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX23,TEX_PAT,COL( 3),ROW( 6),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX24,TEX_PAT,COL( 4),ROW( 6),COL(1),ROW(2),0,0,0)	/* א = ||| */
SPRITE_(SPR_BLOCKX25,TEX_PAT,COL( 5),ROW( 6),COL(1),ROW(2),0,0,0)	/* א = E|| */
SPRITE_(SPR_BLOCKX26,TEX_PAT,COL( 6),ROW( 6),COL(1),ROW(2),0,0,0)	/* א = || */
SPRITE_(SPR_BLOCKX27,TEX_PAT,COL( 7),ROW( 6),COL(1),ROW(2),0,0,0)	/* א = E| */
SPRITE_(SPR_BLOCKX28,TEX_PAT,COL( 8),ROW( 6),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX29,TEX_PAT,COL( 9),ROW( 6),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX2A,TEX_PAT,COL(10),ROW( 6),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX2B,TEX_PAT,COL(11),ROW( 6),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX2C,TEX_PAT,COL(12),ROW( 6),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX2D,TEX_PAT,COL(13),ROW( 6),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX2E,TEX_PAT,COL(14),ROW( 6),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX2F,TEX_PAT,COL(15),ROW( 6),COL(1),ROW(2),0,0,0)	/*        gȂ */

/* ubNL (JEg4) */
SPRITE_(SPR_BLOCKX30,TEX_PAT,COL( 0),ROW( 8),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX31,TEX_PAT,COL( 1),ROW( 8),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX32,TEX_PAT,COL( 2),ROW( 8),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX33,TEX_PAT,COL( 3),ROW( 8),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX34,TEX_PAT,COL( 4),ROW( 8),COL(1),ROW(2),0,0,0)	/* א = ||| */
SPRITE_(SPR_BLOCKX35,TEX_PAT,COL( 5),ROW( 8),COL(1),ROW(2),0,0,0)	/* א = E|| */
SPRITE_(SPR_BLOCKX36,TEX_PAT,COL( 6),ROW( 8),COL(1),ROW(2),0,0,0)	/* א = || */
SPRITE_(SPR_BLOCKX37,TEX_PAT,COL( 7),ROW( 8),COL(1),ROW(2),0,0,0)	/* א = E| */
SPRITE_(SPR_BLOCKX38,TEX_PAT,COL( 8),ROW( 8),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX39,TEX_PAT,COL( 9),ROW( 8),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX3A,TEX_PAT,COL(10),ROW( 8),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX3B,TEX_PAT,COL(11),ROW( 8),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX3C,TEX_PAT,COL(12),ROW( 8),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX3D,TEX_PAT,COL(13),ROW( 8),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX3E,TEX_PAT,COL(14),ROW( 8),COL(1),ROW(2),0,0,0)	/*        gȂ */
SPRITE_(SPR_BLOCKX3F,TEX_PAT,COL(15),ROW( 8),COL(1),ROW(2),0,0,0)	/*        gȂ */

/* S[ubN (Aj[V0) */
SPRITE_(SPR_BLOCKG00,TEX_PAT,COL( 0),ROW(10),COL(1),ROW(1),0,0,0)	/* א = |||| */
SPRITE_(SPR_BLOCKG01,TEX_PAT,COL( 1),ROW(10),COL(1),ROW(1),0,0,0)	/* א = E||| */
SPRITE_(SPR_BLOCKG02,TEX_PAT,COL( 2),ROW(10),COL(1),ROW(1),0,0,0)	/* א = ||| */
SPRITE_(SPR_BLOCKG03,TEX_PAT,COL( 3),ROW(10),COL(1),ROW(1),0,0,0)	/* א = E|| */
SPRITE_(SPR_BLOCKG04,TEX_PAT,COL( 4),ROW(10),COL(1),ROW(1),0,0,0)	/* א = ||| */
SPRITE_(SPR_BLOCKG05,TEX_PAT,COL( 5),ROW(10),COL(1),ROW(1),0,0,0)	/* א = E|| */
SPRITE_(SPR_BLOCKG06,TEX_PAT,COL( 6),ROW(10),COL(1),ROW(1),0,0,0)	/* א = || */
SPRITE_(SPR_BLOCKG07,TEX_PAT,COL( 7),ROW(10),COL(1),ROW(1),0,0,0)	/* א = E| */
SPRITE_(SPR_BLOCKG08,TEX_PAT,COL( 8),ROW(10),COL(1),ROW(1),0,0,0)	/* א = ||| */
SPRITE_(SPR_BLOCKG09,TEX_PAT,COL( 9),ROW(10),COL(1),ROW(1),0,0,0)	/* א = E|| */
SPRITE_(SPR_BLOCKG0A,TEX_PAT,COL(10),ROW(10),COL(1),ROW(1),0,0,0)	/* א = || */
SPRITE_(SPR_BLOCKG0B,TEX_PAT,COL(11),ROW(10),COL(1),ROW(1),0,0,0)	/* א = E| */
SPRITE_(SPR_BLOCKG0C,TEX_PAT,COL(12),ROW(10),COL(1),ROW(1),0,0,0)	/* א = || */
SPRITE_(SPR_BLOCKG0D,TEX_PAT,COL(13),ROW(10),COL(1),ROW(1),0,0,0)	/* א = E| */
SPRITE_(SPR_BLOCKG0E,TEX_PAT,COL(14),ROW(10),COL(1),ROW(1),0,0,0)	/* א = | */
SPRITE_(SPR_BLOCKG0F,TEX_PAT,COL(15),ROW(10),COL(1),ROW(1),0,0,0)	/* א = E */

/* S[ubN (Aj[V1) */
SPRITE_(SPR_BLOCKG10,TEX_PAT,COL( 0),ROW(11),COL(1),ROW(1),0,0,0)	/* א = |||| */
SPRITE_(SPR_BLOCKG11,TEX_PAT,COL( 1),ROW(11),COL(1),ROW(1),0,0,0)	/* א = E||| */
SPRITE_(SPR_BLOCKG12,TEX_PAT,COL( 2),ROW(11),COL(1),ROW(1),0,0,0)	/* א = ||| */
SPRITE_(SPR_BLOCKG13,TEX_PAT,COL( 3),ROW(11),COL(1),ROW(1),0,0,0)	/* א = E|| */
SPRITE_(SPR_BLOCKG14,TEX_PAT,COL( 4),ROW(11),COL(1),ROW(1),0,0,0)	/* א = ||| */
SPRITE_(SPR_BLOCKG15,TEX_PAT,COL( 5),ROW(11),COL(1),ROW(1),0,0,0)	/* א = E|| */
SPRITE_(SPR_BLOCKG16,TEX_PAT,COL( 6),ROW(11),COL(1),ROW(1),0,0,0)	/* א = || */
SPRITE_(SPR_BLOCKG17,TEX_PAT,COL( 7),ROW(11),COL(1),ROW(1),0,0,0)	/* א = E| */
SPRITE_(SPR_BLOCKG18,TEX_PAT,COL( 8),ROW(11),COL(1),ROW(1),0,0,0)	/* א = ||| */
SPRITE_(SPR_BLOCKG19,TEX_PAT,COL( 9),ROW(11),COL(1),ROW(1),0,0,0)	/* א = E|| */
SPRITE_(SPR_BLOCKG1A,TEX_PAT,COL(10),ROW(11),COL(1),ROW(1),0,0,0)	/* א = || */
SPRITE_(SPR_BLOCKG1B,TEX_PAT,COL(11),ROW(11),COL(1),ROW(1),0,0,0)	/* א = E| */
SPRITE_(SPR_BLOCKG1C,TEX_PAT,COL(12),ROW(11),COL(1),ROW(1),0,0,0)	/* א = || */
SPRITE_(SPR_BLOCKG1D,TEX_PAT,COL(13),ROW(11),COL(1),ROW(1),0,0,0)	/* א = E| */
SPRITE_(SPR_BLOCKG1E,TEX_PAT,COL(14),ROW(11),COL(1),ROW(1),0,0,0)	/* א = | */
SPRITE_(SPR_BLOCKG1F,TEX_PAT,COL(15),ROW(11),COL(1),ROW(1),0,0,0)	/* א = E */

/* S[ubN (Aj[V2) */
SPRITE_(SPR_BLOCKG20,TEX_PAT,COL( 0),ROW(12),COL(1),ROW(1),0,0,0)	/* א = |||| */
SPRITE_(SPR_BLOCKG21,TEX_PAT,COL( 1),ROW(12),COL(1),ROW(1),0,0,0)	/* א = E||| */
SPRITE_(SPR_BLOCKG22,TEX_PAT,COL( 2),ROW(12),COL(1),ROW(1),0,0,0)	/* א = ||| */
SPRITE_(SPR_BLOCKG23,TEX_PAT,COL( 3),ROW(12),COL(1),ROW(1),0,0,0)	/* א = E|| */
SPRITE_(SPR_BLOCKG24,TEX_PAT,COL( 4),ROW(12),COL(1),ROW(1),0,0,0)	/* א = ||| */
SPRITE_(SPR_BLOCKG25,TEX_PAT,COL( 5),ROW(12),COL(1),ROW(1),0,0,0)	/* א = E|| */
SPRITE_(SPR_BLOCKG26,TEX_PAT,COL( 6),ROW(12),COL(1),ROW(1),0,0,0)	/* א = || */
SPRITE_(SPR_BLOCKG27,TEX_PAT,COL( 7),ROW(12),COL(1),ROW(1),0,0,0)	/* א = E| */
SPRITE_(SPR_BLOCKG28,TEX_PAT,COL( 8),ROW(12),COL(1),ROW(1),0,0,0)	/* א = ||| */
SPRITE_(SPR_BLOCKG29,TEX_PAT,COL( 9),ROW(12),COL(1),ROW(1),0,0,0)	/* א = E|| */
SPRITE_(SPR_BLOCKG2A,TEX_PAT,COL(10),ROW(12),COL(1),ROW(1),0,0,0)	/* א = || */
SPRITE_(SPR_BLOCKG2B,TEX_PAT,COL(11),ROW(12),COL(1),ROW(1),0,0,0)	/* א = E| */
SPRITE_(SPR_BLOCKG2C,TEX_PAT,COL(12),ROW(12),COL(1),ROW(1),0,0,0)	/* א = || */
SPRITE_(SPR_BLOCKG2D,TEX_PAT,COL(13),ROW(12),COL(1),ROW(1),0,0,0)	/* א = E| */
SPRITE_(SPR_BLOCKG2E,TEX_PAT,COL(14),ROW(12),COL(1),ROW(1),0,0,0)	/* א = | */
SPRITE_(SPR_BLOCKG2F,TEX_PAT,COL(15),ROW(12),COL(1),ROW(1),0,0,0)	/* א = E */

/* S[ubN (Aj[V3) */
SPRITE_(SPR_BLOCKG30,TEX_PAT,COL( 0),ROW(13),COL(1),ROW(1),0,0,0)	/* א = |||| */
SPRITE_(SPR_BLOCKG31,TEX_PAT,COL( 1),ROW(13),COL(1),ROW(1),0,0,0)	/* א = E||| */
SPRITE_(SPR_BLOCKG32,TEX_PAT,COL( 2),ROW(13),COL(1),ROW(1),0,0,0)	/* א = ||| */
SPRITE_(SPR_BLOCKG33,TEX_PAT,COL( 3),ROW(13),COL(1),ROW(1),0,0,0)	/* א = E|| */
SPRITE_(SPR_BLOCKG34,TEX_PAT,COL( 4),ROW(13),COL(1),ROW(1),0,0,0)	/* א = ||| */
SPRITE_(SPR_BLOCKG35,TEX_PAT,COL( 5),ROW(13),COL(1),ROW(1),0,0,0)	/* א = E|| */
SPRITE_(SPR_BLOCKG36,TEX_PAT,COL( 6),ROW(13),COL(1),ROW(1),0,0,0)	/* א = || */
SPRITE_(SPR_BLOCKG37,TEX_PAT,COL( 7),ROW(13),COL(1),ROW(1),0,0,0)	/* א = E| */
SPRITE_(SPR_BLOCKG38,TEX_PAT,COL( 8),ROW(13),COL(1),ROW(1),0,0,0)	/* א = ||| */
SPRITE_(SPR_BLOCKG39,TEX_PAT,COL( 9),ROW(13),COL(1),ROW(1),0,0,0)	/* א = E|| */
SPRITE_(SPR_BLOCKG3A,TEX_PAT,COL(10),ROW(13),COL(1),ROW(1),0,0,0)	/* א = || */
SPRITE_(SPR_BLOCKG3B,TEX_PAT,COL(11),ROW(13),COL(1),ROW(1),0,0,0)	/* א = E| */
SPRITE_(SPR_BLOCKG3C,TEX_PAT,COL(12),ROW(13),COL(1),ROW(1),0,0,0)	/* א = || */
SPRITE_(SPR_BLOCKG3D,TEX_PAT,COL(13),ROW(13),COL(1),ROW(1),0,0,0)	/* א = E| */
SPRITE_(SPR_BLOCKG3E,TEX_PAT,COL(14),ROW(13),COL(1),ROW(1),0,0,0)	/* א = | */
SPRITE_(SPR_BLOCKG3F,TEX_PAT,COL(15),ROW(13),COL(1),ROW(1),0,0,0)	/* א = E */

#undef COL
#undef ROW
